Skip to content
Skip to main content
POST
/v3/connectors/{provider}/creds

Create a credential

Manually create a credential record.

NYLAS API KEY

Parameters

Path parameters

provider*string
googlemicrosoftimapicloudyahooewsvirtual-calendarzoominbox

Request body

name*string

The name of the credential. Must be unique.

Example: "Google auth app \\#2 multitenant"
credential_type*string

The type of the credential. Set this value to connector if you have multiple provider auth applications for a single provider and need to create an override credential.

For example, if you have two Google provider auth apps, the Google connector for each application can only connect to one of those Google auth apps by default. You can set up a connector override credential, however, then specify that credential ID in authentication requests so that the request goes through the Google connector, but goes to the non-default Google auth app.

Example: "connector"
credential_data*object

An object that contains special information that must be included in the credential. This information is securely encrypted and stored, and isn't visible to users.

You must include data such as the client_id and client_secret for the provider auth application.

Example: {"client_id":"3805ABCD1234-ABCD1234uv02m.apps.googleusercontent.com","client_secret":"Ilg....01pe8db"}

Responses

request_idstring

The request ID.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
dataobject
POSThttps://api.us.nylas.com/v3/connectors/{provider}/creds

Find your API key in the Nylas Dashboard under API Keys in your application settings.

providerrequiredstring
Loading editor...

Autocomplete and validation come from this endpoint's request schema.